Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## umontreal.iro.lecuyer.contactcenters.msk.conditions
Class QueueSizeThreshCondition

    java.lang.Object
      umontreal.iro.lecuyer.contactcenters.msk.conditions.QueueSizeThreshCondition

All Implemented Interfaces:
  Condition

Direct Known Subclasses:
  QueueSizeThreshWithTypeCondition

    public class QueueSizeThreshCondition

extends Object
implements Condition

Represents a condition comparing the size of a waiting queue with a fixed threshold. Let Qq(t) be the queue size of queue q at time t, and ⋅ be a relationship. The condition checks that Qq(t)⋅η for fixed values of q, η, and ⋅. The relationship can be <, >, =, ≤, or ≥.

Constructor Summary
`QueueSizeThreshCondition(CallCenter cc, int index, int threshold, Relationship rel)` Constructs a new condition on the queue size for the call center model `cc`, first waiting queue `index`, threshold `threshold`, and relationship `rel`.

Method Summary
`boolean` | `applies(Contact contact)` Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies.
`CallCenter` | `getCallCenter()` Returns a reference to the call center associated with this condition.
`int` | `getIndex()` Returns the value of q.
`Relationship` | `getRelationship()` Returns the relationship to be tested.
`int` | `getThreshold()` Returns the value of η.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### QueueSizeThreshCondition

    public QueueSizeThreshCondition(CallCenter cc,
                                    int index,
                                    int threshold,
                                    Relationship rel)

  Constructs a new condition on the queue size for the call center model `cc`, first waiting queue `index`, threshold `threshold`, and relationship `rel`.

  Parameters:
    `cc` - the call center model.
    `index` - the index of the waiting queue.
    `threshold` - the threshold.
    `rel` - the relationship used to perform the comparison.

Method Detail

### getCallCenter

    public CallCenter getCallCenter()

  Returns a reference to the call center associated with this condition.

### getIndex

    public int getIndex()

  Returns the value of q.

### getThreshold

    public int getThreshold()

  Returns the value of η.

### getRelationship

    public Relationship getRelationship()

  Returns the relationship to be tested.

### applies

    public boolean applies(Contact contact)

  Description copied from interface: `Condition`
  Checks the represented condition for the given contact `contact`, and returns `true` if and only if the condition applies. Some conditions depend on the state of the system rather than a particular contact. In such cases, the contact object can be ignored.

  Specified by:
    `applies` in interface `Condition`
  Parameters:
    `contact` - the contact on which to check the condition.
  Returns:
    the success indicator of the test.

Overview | Package | Class | Tree | Deprecated | Index | Help
| ContactCenters V. 0.9.9.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

To submit a bug or ask questions, send an e-mail to Richard Simard.